Loading...
Searching...
No Matches
Simplify_Internal.h File Reference

The simplifier is separated into multiple compilation units with this single shared header to speed up the build. More...

`#include "Bounds.h"`
`#include "ConstantInterval.h"`
`#include "IRMatch.h"`
`#include "IRPrinter.h"`
`#include "IRVisitor.h"`
`#include "Scope.h"`

Go to the source code of this file.

## Classes

class | Halide::Internal::Simplify
struct | Halide::Internal::Simplify::ExprInfo
struct | Halide::Internal::Simplify::ExprInfo::BitsKnown
struct | Halide::Internal::Simplify::VarInfo
struct | Halide::Internal::Simplify::ScopedFact

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Macros

#define | LOG_EXPR_MUTATIONS 0
#define | LOG_STMT_MUTATIONS 0
#define | EVAL_IN_LAMBDA(x)

## Detailed Description

The simplifier is separated into multiple compilation units with this single shared header to speed up the build.

This file is not exported in Halide.h.

Definition in file Simplify_Internal.h.

## Macro Definition Documentation

## LOG_EXPR_MUTATIONS

#define LOG_EXPR_MUTATIONS 0

Definition at line 20 of file Simplify_Internal.h.

## LOG_STMT_MUTATIONS

#define LOG_STMT_MUTATIONS 0

Definition at line 21 of file Simplify_Internal.h.

## EVAL_IN_LAMBDA

#define EVAL_IN_LAMBDA | ( |  | x | ) |

Value:
(([&]() HALIDE_NEVER_INLINE { return (x); })())
HALIDE_NEVER_INLINE
#define HALIDE_NEVER_INLINE
Definition HalideRuntime.h:50

Definition at line 28 of file Simplify_Internal.h.